﻿Type=Class
Version=6.5
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
Sub Class_Globals
	Private server As ServerSocket
	Private clients As List
End Sub

Public Sub Initialize (port As Int)
	server.Initialize(port, "server")
	clients.Initialize
	server.Listen
End Sub

Public Sub Close
	server.Close
End Sub

Private Sub Server_NewConnection (Successful As Boolean, NewSocket As Socket)
	If Successful Then
		Dim c As Client
		c.Initialize(NewSocket, Me)
		clients.Add(c)
	End If
	server.Listen
	CallSub(Main, "UpdateUI")
End Sub

Public Sub getMyIp As String
	Return server.GetMyIP
End Sub

Public Sub getNumberOfClients As Int
	Return clients.Size
End Sub

Public Sub ClientDisconnected (client1 As Client)
	clients.RemoveAt(clients.IndexOf(client1))
	CallSub(Main, "UpdateUI")
End Sub

Public Sub ResponseHeader(c As Client, bmp() As Byte)
	Dim s As String = $"HTTP/1.1 200 OK
"$
	Dim bmpLength As Int = 0
If Not(bmp=Null) Then bmpLength = bmp.Length
		s = s & $"Content-Length: ${bmpLength}

"$
	s = s.Replace(CRLF, Starter.EOL)
'	For Each c As Client In clients
		c.NewFrame(s.GetBytes("ASCII"), bmp) ' UTF8 ?
'	Next
		
End Sub