﻿Type=Service
Version=6.5
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
	#ExcludeFromLibrary: True
#End Region

Sub Process_Globals
	Private const VERSION As String = "0.9"
	
	Public manager As ServerManager
	Public EOL As String = Chr(13) & Chr(10)
End Sub

Sub Service_Create
	DB.Init
End Sub

Sub Service_Start (StartingIntent As Intent)
	Log($"CloudKVS server.
VERSION = ${VERSION}. "$)
	manager.Initialize(51042)
End Sub


'Return true to allow the OS default exceptions handler to handle the uncaught exception.
Sub Application_Error (Error As Exception, StackTrace As String) As Boolean
	Return True
End Sub

Sub Service_Destroy
	manager.Close
End Sub
